## rmagic 2.21

=== debian/changelog ===
rmagic (2.21-5) unstable; urgency=low

  * Adopt NMU. Thanks to Andreas Beckmann and Gregor Herrmann.
  * Drop local CDBS snippets: included in main cdbs.
    Closes: bug#674313. Thanks to Lucas Nussbaum.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Switch to dpkg-source format "3.0 (quilt)".
    + Add dpkg-source local-options.
    + Stop including patchsys-quilt.mk.
  * Fix depend on ${misc:Depends}.
  * Bump debhelper compatibility level to 7.
  * Use proper Homepage field in control file.
  * Add Vcs-* fields: Packaging now maintained using Git.
  * Update doc-base section to Network/Monitoring.
  * Bump debhelper compat level to 7.
  * Rewrap long description at 72 chars.
  * Declare binary package dependencies in rules.
  * Relax to depend on libgd-graph3d-perl and recommend analog
    unversioned: Needed versions satisfied even in oldstable.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org in Vcs-Browser field.
  * Refresh patches with shortening quilt options.
  * Rewrite copyright using file format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Jun 2012 13:05:09 +0200

rmagic (2.21-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails with current libgd": add patch 1001_gd_zero_malloc.patch from
    Andreas Beckmann. (Closes: #445842, LP: #315280)

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Feb 2012 21:47:42 +0100

rmagic (2.21-4) unstable; urgency=low

  * Add Homepage hint to long description.
  * Improve watch file:
    + Add comment on its use.
    + Bump to version 3.
    + Tighten regexp: allow only digits, and escape dots in extensions.
  * Improve cdbs tweaks:
    + Add local snippet copyright-check.mk: Scan source for (c) changes.
    + Add local snippet auto-update.mk: Enable auto-update feature.
    + Add local snippet buildinfo.mk: Include env info with binary pkgs.
  * Use build-depends (not build-depends-indep). build-depends-indep has
    no real use according to note in Debian Policy 7.6, and is badly
    supported by cdbs.
  * Bump to standards-version 3.7.2.
  * Recode debian/copyright as UTF-8.
  * Improve patch handling:
    + Renumber patches, and add README documenting new numbering scheme.
    + Use patchsys-quit (not simple-patchsys).
    + Store added/updated locales (added in 2.21-2) as explicit patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Aug 2006 18:38:00 +0200

rmagic (2.21-3) unstable; urgency=low

  * Udate and correct standards-version to 3.6.1 (no changes needed).
    This closes: Bug#210395.
  * Remove Debian origin from debian/copyright (it is contained in
    debian/changelog).
  * More clearly note upstream author and origin in debian/copyright.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Dec 2003 12:57:13 +0100

rmagic (2.21-2) unstable; urgency=low

  * Include updated languages de and fr, and new language nl.
  * Standards version 3.6 (no changes needed).
  * Correct watch file.
  * Switch to cdbs (and remove old pre-cbs README.build).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2003 12:20:57 +0200

rmagic (2.21-1) unstable; urgency=low

  * New upstream release.
  * Update to newest CBS.
  * Drop dependencies pulled in from libgd-graph3d-perl (closes:
    Bug#185198).
  * Claim compliance with Policy 3.5.9 (no changes needed).
  * Remove the 'touch everything'-hack solved upstream again.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 May 2003 20:03:20 +0200

rmagic (2.16-1) unstable; urgency=low

  * New upstream release.
  * Repackage using Colin's Build System.
  * Bump up standards-version (no actual changes).
  * Temporarily touch everything on installation, as timestamps are
    deliberately(!?!) screwed up by upstream).

 -- Jonas Smedegaard <dr@jones.dk>  Sat,  8 Feb 2003 13:19:56 +0100

rmagic (2.15-7) unstable; urgency=low

  * Clean patches to only strip the 'Find execution directory' part of
    init code. This closes: Bug#175352, thanks to Vinod Kurup
    <vinod@kurup.com>.
  * Correct debian/watch.
  * Register conffiles solely by debhelper.
  * Remove punctuation from Description to please lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sun,  5 Jan 2003 14:11:10 +0100

rmagic (2.15-6) unstable; urgency=low

  * Use File::Copy; to properly handle PNG logos.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Oct 2002 05:18:05 +0200

rmagic (2.15-5) unstable; urgency=low

  * Include png logos (Closes: Bug#165761, thanks to Ken Causey
    <ken@ineffable.com>).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Oct 2002 04:58:47 +0200

rmagic (2.15-4) unstable; urgency=low

  * Depend on virtual package libgd-perl, to allow using libgd2.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Sep 2002 13:51:15 +0200

rmagic (2.15-3) unstable; urgency=low

  * Load File::Basename to allow filename solving (thanks to Marek
    Habersack <grendel@debian.org>).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Sep 2002 13:11:59 +0200

rmagic (2.15-2) unstable; urgency=low

  * Update URL to upstream source.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2002 06:15:47 +0200

rmagic (2.15-1) unstable; urgency=low

  * New upstream release.
  * Correct dependency on libgd-noxpm-perl | libgd-xpm-perl, thanks to
    Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
    (closes: #160585).
  * Strip 'debug aid' from rmagic.pl.
  * Build using the binary-indep build target.
  * Update patches to work with this new version.
  * Correct speling error in README.build.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Sep 2002 01:50:12 +0200

rmagic (2.13-2) unstable; urgency=low

  * The "Enough potatoes" release.
  * Simplify debian/rules using debhelper V4 and stricten
    build-dependency on debhelper.
  * Install sample data, config and stylesheet.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2002 18:06:26 +0200

rmagic (2.13-1) unstable; urgency=low

  * New upstream version.
  * Friendly takeover (Thanks, Piotr!): Change Maintainer field.

