=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003-2006 Jonas Smedegaard <dr@jones.dk>

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

# silence a graphics file (in addition to defaults)
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(docs/images/logo\.gif|debian/(changelog|copyright(|_hints|_newhints)))$

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

INSTALL		= install
INSTALL_DATA	:= $(INSTALL) -m644
INSTALL_DIR	:= $(INSTALL) -p -d -o root -g root  -m  755
INSTALL_FILE	:= $(INSTALL) -p    -o root -g root  -m  644
INSTALL_SCRIPT	:= $(INSTALL) -p    -o root -g root  -m  755

CDBS_DEPENDS_$(pkg) = libgd-graph3d-perl, libhtml-parser-perl, libconfig-inifiles-perl
CDBS_RECOMMENDS_$(pkg) = analog
CDBS_SUGGESTS_$(pkg) = doc-base

configure/rmagic::
	# Use sed rather than a diff here, to avoid failing if options
	# just been moved around
	sed \
		-e 's/^Language = en/Language = custom/' \
		-e 's/^Include =/#Include =/' \
		-e 's/^Active_Column = R/Active_Column = P/' \
		lang/en/rmagic.ini > debian/rmagic.ini

clean::
	rm -f debian/rmagic.ini

binary-post-install/rmagic::
	$(INSTALL_SCRIPT) rmagic.pl $(DEB_DESTDIR)/usr/bin/rmagic
	for i in `find lang -type d -mindepth 1 -maxdepth 1`; do \
		$(INSTALL_DIR) $(DEB_DESTDIR)/usr/share/rmagic/$$i; \
		for j in `find $$i -type f -name '*.ini' -mindepth 1 -maxdepth 1`; do \
			$(INSTALL_FILE) $$j $(DEB_DESTDIR)/usr/share/rmagic/$$j; \
			done; \
		test -f $(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini || \
			$(INSTALL_FILE) lang/en/rmagic.ini $(DEB_DESTDIR)/usr/share/rmagic/$$i/; \
		sed 's/^Include =/#Include =/' \
			$(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini \
			> $(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini.tmp; \
		mv -f $(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini.tmp \
			$(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini; \
		done
