=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.reportmagic.org/download.html rmagic-([\d\.]+)\.tar\.gz debian uupdate
