## rmagic 2.21+git20140406.581eda2

=== debian/changelog ===
rmagic (2.21+git20140406.581eda2-2) unstable; urgency=medium

  * Team upload of debian/ team
  * Remove obsolete dh-buildinfo build dependency
  * Standards-Version: 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Oct 2025 17:43:47 +0200

rmagic (2.21+git20140406.581eda2-1) unstable; urgency=medium

  * Team upload of debian/ team
  * New upstream commit (which just contains an updated README and
    some patch from Debian applied)
  * Migrate repository from alioth to salsa.
  * Point Homepage to Github since original Homepage does not
    exist any more
    Closes: #615369
  * Point watch file to Github
  * Port from cdbs to dh
  * Fix lintian issues in d/copyright
  * Create empty /etc/rmagic/standard.ini
    Closes: #328751
  * Replace typical Windows fonts by fonts from fonts-liberation
    Closes: #435564
  * Fix comment syntax in sample stylesheet
    Closes: #435569
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Lintian-overrides for national-encoding

 -- Andreas Tille <tille@debian.org>  Wed, 13 Nov 2024 07:59:59 +0100

rmagic (2.21-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 11:26:59 +0100
