=== debian/control ===
Source: rmagic
Maintainer: Jonas Smedegaard <dr@jones.dk>
Section: web
Priority: optional
Build-Depends:  debhelper-compat (= 13),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/rmagic
Vcs-Git: https://salsa.debian.org/debian/rmagic.git
Homepage: https://github.com/jeremywadsack/reportmagic

Package: rmagic
Architecture: all
Depends: libgd-graph3d-perl,
         libhtml-parser-perl,
         libconfig-inifiles-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: analog,
            fonts-liberation
Suggests: doc-base
Description: Report Magic for Analog
 With Report Magic for Analog, anyone can create great looking website
 statistics reports. Report Magic for Analog uses the Computer Readable
 Output format created by Analog, the most popular logfile analyser in
 the world. Using this and some simple settings you provide, Report
 Magic formats beautiful reports with tables, descriptions and graphs.
 .
 Using Report Magic for Analog, you can easily maintain a consistent
 company image with all your reports. By designing the report format to
 mimic your site's colors and graphics, you can have Analog's statistics
 reports seem to "fit-in" with the rest of your website. Report Magic
 for Analog lets you set things like font, foreground and background
 colors, background images, color themes, and more, thus ensuring a
 perfect fit with your already designed site.
