=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003-2006 Jonas Smedegaard <dr@jones.dk>

include /usr/share/dpkg/default.mk

pkg = $(DEB_SOURCE)
DEB_DESTDIR = debian/$(pkg)

# silence a graphics file (in addition to defaults)
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(docs/images/logo\.gif|debian/(changelog|copyright(|_hints|_newhints)))$

INSTALL		= install
INSTALL_DATA	:= $(INSTALL) -m644
INSTALL_DIR	:= $(INSTALL) -p -d -m  755
INSTALL_FILE	:= $(INSTALL) -p    -m  644
INSTALL_SCRIPT	:= $(INSTALL) -p    -m  755

%:
	dh $@

override_dh_auto_configure:
	# Use sed rather than a diff here, to avoid failing if options
	# just been moved around
	sed \
		-e 's/^Language = en/Language = custom/' \
		-e 's/^Include =/#Include =/' \
		-e 's/^Active_Column = R/Active_Column = P/' \
		lang/en/rmagic.ini > debian/rmagic.ini
	dh_auto_configure

override_dh_install:
	dh_install
	$(INSTALL_SCRIPT) rmagic.pl $(DEB_DESTDIR)/usr/bin/rmagic
	for i in `find lang -type d -mindepth 1 -maxdepth 1`; do \
		$(INSTALL_DIR) $(DEB_DESTDIR)/usr/share/rmagic/$$i; \
		for j in `find $$i -type f -name '*.ini' -mindepth 1 -maxdepth 1`; do \
			$(INSTALL_FILE) $$j $(DEB_DESTDIR)/usr/share/rmagic/$$j; \
			done; \
		test -f $(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini || \
			$(INSTALL_FILE) lang/en/rmagic.ini $(DEB_DESTDIR)/usr/share/rmagic/$$i/; \
		sed 's/^Include =/#Include =/' \
			$(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini \
			> $(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini.tmp; \
		mv -f $(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini.tmp \
			$(DEB_DESTDIR)/usr/share/rmagic/$$i/rmagic.ini; \
		done
	touch $(DEB_DESTDIR)/etc/rmagic/standard.ini
